Subject: Re: exim and ntsec
From: "Corwin" <[email-masked]>
To: <[email-masked]>
Cc: "Pierre A. Humblet" <[email-masked]>
Date: Tue, 9 Jul 2002 08:03:20 +0200

As everything I tried did not work I also tried effectivly to define the
exim user with no luck.
I deleted it but no change.
I enclosed my passwd file (but it's a very common one).

Here at work, I am logged as a domain user (tlefeuvre in passwd file).

Tell me if you see something strange but I don't think the problem comes
from here.

Thanks

Thomas

PS: Now my configure file is owned by SYSTEM but I cannot change the group
anymore (permission denied), do you know why ?? It used to work before ..

----- Original Message -----
From: <[email-masked]>
To: "Corwin" <[email-masked]>
Sent: Monday, July 08, 2002 4:44 PM
Subject: Re: exim and ntsec

> A more general question:
>
> could you send me your /etc/passwd and /etc/group files?
>
> Pierre
> > Thanks for your answer Pierre ..
> > Here is my exim.log when I try to run it from service.
>
> --------------------------------------------------------------------------
--
> > -----------------------------------------------------------
> > CYGWIN = "ntsec". Root / mapped to F:\cygwin.
> > Starting uid 18 gid 18
> > root_uid 1001 exim_uid 1001 exim_gid 513
> > Exim version 4.04 uid=18 gid=18 pid=2508 L=834cd8 D=fff7577f
> > probably GDBM (native mode)
> > Exim has no root privilege: uid=18 gid=18 euid=18 egid=18
> > changed uid/gid: forcing real = effective
> >   uid=18 gid=18
> >   auxiliary group list: 0
> > LOG: MAIN PANIC DIE
> >   Exim configuration file /usr/local/exim/configure has the wrong owner,
> > group, or mode
> > search_tidyup called
> > >>>>>>>>>>>>>>>>>> Exim pid=2508 terminating with rc=1
>>>>>>>>>>>>>>>>>>
>
> --------------------------------------------------------------------------
--
> > -----------------------------------------------------------
> > I really don't understand, as you can see owner and group id are SYSTEM.
> > Permissions on configure are as follow:
>
> --------------------------------------------------------------------------
--
> > -----------------------------------------------------------
> > -rw-r--r--    1 18       18          21262 Jul  2 11:58 configure
>
> --------------------------------------------------------------------------
--
> > -----------------------------------------------------------
> > Owned by SYSTEM, readable/writable by SYSTEM and readable only for
others.
> >
> > Here it is .. I'm looking further to check out what's wrong ... This may
be
> > also a CYGWIN permission problem... (This is not the first  problem I
have
> > when using ntsec with a domain user)
> >
> > Thanks again ..
> >
> > Thomas
> >
> >
> > ----- Original Message -----
> > From: "Pierre A. Humblet" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Saturday, July 06, 2002 4:16 AM
> > Subject: Re: exim and ntsec
> >
> >
> > > "Corwin" <Cygwin at ifrance dot com> wrote
> > >
> > > >Forgive my lack of knowledge. I saw the Exim has no root privilege
> > message
> > > >but what I can't explain (And I am sure you can) is why I got the
same
> > > >message when launching exim with ntsec disabled and why It is working
> > well
> > > >then ...
> > >
> > > Thomas
> > >
> > > I don't see this message without ntsec! Running without ntsec is all
> > > you need if you don't need to setuid to access directories and to set
> > > permissions.
> > > To run under ntsec, start exim from cygrunsrv. It is coded to
recognize
> > > uid 18.
> > > If you have problems, add the arguments -c -d (in cygrunsrv -I..  -a
> > "...")
> > > and look at the debug output in /var/log/exim.log, in addition to the
> > > logfiles.
> > >
> > > I assume you fixed the permissions problems of configure (previous
> > messages).
> > > With ntsec it must be owned by SYSTEM and other users cannot have
write
> > > access.
> > >
> > > Pierre
> > >
> > > P.S.: Please cc me on this, I don't subscribe to the list.
> > >
> > > --
> > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > Bug reporting:         http://cygwin.com/bugs.html
> > > Documentation:         http://cygwin.com/docs.html
> > > FAQ:                   http://cygwin.com/faq/
> > >
> >
> >
> >
____________________________________________________________________________
__
> > ifrance.com, l'email gratuit le plus complet de l'Internet !
> > vos emails depuis un navigateur, en POP3, sur Minitel, sur le WAP...
> > http://www.ifrance.com/_reloc/email.emailif
> >
> >
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/